Show / Hide Table of Contents

# Class World

This object represents a world a character can reside on.

##### Inheritance

System.Object
BaseResolver
World

##### Inherited Members

BaseResolver.dalamud
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Resolvers

###### Assembly: Dalamud.dll

##### Syntax

    public class World : BaseResolver

### Constructors

| Improve this Doc View Source

#### World(UInt16, Dalamud)

Set up the world resolver with the provided ID.

##### Declaration

    public World(ushort id, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | id | The ID of the world.
Dalamud.Dalamud | dalamud |

### Fields

| Improve this Doc View Source

#### Id

ID of the world.

##### Declaration

    public readonly uint Id

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Properties

| Improve this Doc View Source

#### GameData

GameData linked to this world.

##### Declaration

    public World GameData { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.World |